package com.yonge.cooleshow.biz.dal.wrapper;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class TeacherFreeTimeWrapper {

    @Data
    public static class TeacherSearch extends QueryInfo {

        @ApiModelProperty(value = "声部编号")
        private Integer subjectId;

        @ApiModelProperty(value = "最近30天空闲标记")
        private Boolean recentFreeTime;

        @ApiModelProperty(value = "课程类型")
        private String courseType;

        @ApiModelProperty(value = "排序字段")
        private String sortField;

        @ApiModelProperty(value = "排序规则 ASC DESC")
        private String sortRule;
    }

}
